toolzerhub API Docs

Get post details

Get a public Weibo post by numeric ID. Video posts include available stream URLs and duration.

1 credit / requestBilled only on success
GET
/v1/weibo/posts/detail

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

mid*string

The all-digit post id from the post's URL.

curl -X GET "https://example.com/v1/weibo/posts/detail?mid=5327962377289859" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "5327962377289859",    "text": "string",    "text_length": 0,    "created_at": "string",    "source": "string",    "pic_ids": [      "string"    ],    "reposts_count": 0,    "comments_count": 0,    "attitudes_count": 0,    "is_video": true,    "video_stream_url": "string",    "video_stream_url_hd": "string",    "video_duration_seconds": 0,    "user": {      "id": "1699432410",      "screen_name": "新华社",      "profile_image_url": "string",      "avatar_hd": "string",      "verified": true,      "verified_reason": "string",      "location": "string",      "followers_count": 0    }  }}